<template>
<view class="main">

    <navigator v-for="(item, index) in pageList" :key="index" :url="'/pages/topic/topic?id=' + item.id" hover-class="none" class="li dflex">
      <view class="ztdiv">
        <view class="imgdiv">
          <image :src="item.pic+ '?x-oss-process=style/w750-auto'" class="t-img"></image>
        </view>
        <view class="txtdiv">
            <text>{{item.title}}</text>
        </view>
       </view>
    </navigator>

</view>
</template>

<script>
// pages/topicList/topiclist.js
// pages/topic/topic.js
const app = getApp();
const req = require("../../utils/request.js");

export default {
  data() {
    return {
      page: 1,
      pageList: [],
      bannerList: [],
      swiperCurrent: 0,
      isLoad: true,
      hasmore: true,
      isRuleTrue: false,
      //筛选是否显示
      styletype: 0
    };
  },

  components: {},
  props: {},

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getList();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},
  methods: {
    getList() {
      let that = this;
      // console.log(that.isLoad);
      if (!that.isLoad) return false;
      that.isLoad = false;
      let form = {
        page: 1,
        limit: 10 //searchTitle: that.data.searchTitle,
        //sort: that.data.sort,
        //attr: that.data.attr,
        //categoryId: that.data.categoryId

      };
      req.getRequest('/api/special/list', form, data => {
        // console.log(data);
        if (data && data.length >= 10) that.isLoad = true;
        if (that.page > 1) data = that.pageList.concat(data);

        if (data) {
          that.setData({
            pageList: data
          });
        }
      });
    }

  }
};
</script>
<style>
@import "./topiclist.css";
</style>